# Class InvalidSearchControlsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
javax.naming.directory.InvalidSearchControlsException

All Implemented Interfaces:
  `Serializable`

public class InvalidSearchControlsException extends NamingException
This exception is thrown when the specification of the SearchControls for a search operation is invalid. For example, if the scope is set to a value other than OBJECT_SCOPE, ONELEVEL_SCOPE, SUBTREE_SCOPE, this exception is thrown.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  - Serialized Form

## Field Summary

### Fields declared in class NamingException

`remainingName, resolvedName, resolvedObj, rootException`

## Constructor Summary

Constructors
Constructor
Description
`InvalidSearchControlsException()`
Constructs a new instance of InvalidSearchControlsException.
`InvalidSearchControlsException(String msg)`
Constructs a new instance of InvalidSearchControlsException with an explanation.

## Method Summary

### Methods declared in class NamingException

`appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidSearchControlsException

public InvalidSearchControlsException()
Constructs a new instance of InvalidSearchControlsException. All fields are set to null.

### InvalidSearchControlsException

public InvalidSearchControlsException(String msg)
Constructs a new instance of InvalidSearchControlsException with an explanation. All other fields set to null.

Parameters:
  `msg` - Detail about this exception. Can be null.
See Also:
  - `Throwable.getMessage()`